<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--  Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved. -->
<!--  Mybatis数据库持久层（业务层映射文件）： -->
<!--  version: 1.0  -->
<!--  author:  maven-cctp-plugin    -->
<!--  date:  2022-03-22 15:07:11  -->
<mapper namespace="net.northking.cctp.dw.db.dao.DwManualExecDirDao">

    <insert id="insertManualExecDirByBatch" parameterType="java.util.List">
        insert into
        <include refid="Table_Name"/>
        <trim prefix="(" suffix=")" suffixOverrides=",">
            id,
            dir_name,
            id_path,
            name_path,
            level_no,
            project_id,
            created_by,
            created_time,
            tenant_id,
            is_deleted,
        </trim>
        values
        <foreach collection="list" item="item" index="index" separator=",">
            <trim prefix="(" suffix=")" suffixOverrides=",">
                #{item.id, jdbcType=VARCHAR},
                #{item.dirName, jdbcType=VARCHAR},
                #{item.idPath, jdbcType=VARCHAR},
                #{item.namePath, jdbcType=VARCHAR},
                #{item.levelNo, jdbcType=INTEGER},
                #{item.projectId, jdbcType=VARCHAR},
                #{item.createdBy, jdbcType=VARCHAR},
                #{item.createdTime, jdbcType=TIMESTAMP},
                #{item.tenantId, jdbcType=VARCHAR},
                #{item.deleted, jdbcType=BIT},
            </trim>
        </foreach>
    </insert>




</mapper>